import { Inter } from "next/font/google";
import "./globals.css";
import Header from "@/Components/Header";
import ScrollToTop from "@/Components/ScrollTop";
import WhatsAppIcon from "@/Components/WhatsappIcon";
import Footer from "@/Components/Footer";


const inter = Inter({ subsets: ["latin"] });

export const metadata = {
  title: {
    default: "FalCoQ Technologies",
    template: "%s - FalCoQ Technologies"
  },
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body className={`${inter.className} scroll-smooth`}>

        <Header />
        {children}
        <ScrollToTop />
        <WhatsAppIcon />
        <Footer />

      </body>
    </html >
  );
}
